// ================================================================================
// Librairies pr.js
// --------------------------------------------------------------------------------
// Le script pr.js contient les fonctions gnrales ncessaires  l'affichage
// des documents APV/PR
// --------------------------------------------------------------------------------
// Rvisions
//		15/06/2006	1.0.1
// ================================================================================

// ================================================================================
// Variable globale
// ================================================================================
var colorSelect='#ffe4b3';
var colorOver='#d1dffa';
var colorVerse='#ffd4b3';
var colorDefault='white';

var previous = 0;
var previousclick = 0;

var gmode = 0; // Image en plein cran.

var picw=450;
var pich=534;

var zoomsize=1;
var zoomstep=1.2;//333333333;

var listePRVerses = new Array();
var dblclictab = new Array ();

// ================================================================================
// Compatiblit IE/FIREFOX/NETSCAPE => gestion des couleurs
// Necessaire pour la compatiblite FIREFOX/IE6: Firefox gre les rbg, IE les hex
// ================================================================================

// Conversion des couleurs : HEX => RGB
function HexToR(h) { return parseInt((cutHex(h)).substring(0,2),16) }
function HexToG(h) { return parseInt((cutHex(h)).substring(2,4),16) }
function HexToB(h) { return parseInt((cutHex(h)).substring(4,6),16) }
function cutHex(h) { return (h.charAt(0)=="#") ? h.substring(1,7) : h}

function forceRGB(color){
    var result;
    if (color.charAt(0)=="#") {
        result= HexToRBG(color);
    } else {
        // si ca ne commence pas par #, c'est donc DEJA au format rgb(r, g, b)
        result= color;
    }
    return result;
}

// converti un nombre entre 0 et 255 en hexadecimal
function convInt2Hex(num) {
    var inx;
    var inxa;
    myhex = new Array ("0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a",
    "b", "c", "d", "e", "f");
    inx = myhex[Math.floor(num/16)];
    inxa = myhex[num%16];
    return inx+inxa;
}

// supprime toutes les occurences d'une chaine dans une autre
function supprimeOcc(chaine,rech){
    var pos = chaine.indexOf(rech);
    if (pos>-1){
        if (pos==0) {
            return supprimeOcc(chaine.substr(rech.length),rech);
        } else {
            return supprimeOcc(chaine.substr(0,pos) + chaine.substr(pos+rech.length),rech);
        }
    } else return chaine;
}

// convertit une couleur au format #nnnnnn au format RGB(x,y,z)
function HexToRBG(h) {return "rgb("+ HexToR(h) +","+HexToG(h)+","+HexToB(h)+")";}

// convertit une couleur au format RGB(x,y,z) au format #nnnnnn
function RGBToHex(chaine) {
    // si c'est bien au format rgb ....
    if (chaine.indexOf("rgb")>-1) {
        // on supprime les tokens "parasites" (rgb, espace,(,)
        chaine=supprimeOcc(chaine,"rgb");
        chaine=supprimeOcc(chaine," ");
        chaine=supprimeOcc(chaine,"(");
        chaine=supprimeOcc(chaine,")");
        // On dcoupe la chaine
        var temp = chaine.split(",");
        var result="#";
        // On cr le resultat au bon format #xxxxx
        for (i = 0; i < temp.length; i++ ) {
            n = parseInt(temp[i],10);
            result = result + convInt2Hex(n);
		}
    } else {
        result=chaine;
    }
    return result;
}

// ================================================================================
//  Pour la compatibilite avec Firefox => modification des methodes
//  firstChild, LastChild et children
// ================================================================================
var ie = /MSIE/.test(navigator.userAgent);
var moz = !ie && navigator.product == "Gecko";
var isNetscape=(navigator.userAgent.toLowerCase().indexOf('netscape')>-1);

if (moz) {
     HTMLElement.prototype.__defineGetter__("children", function() {
           var arr = new Array(), i = 0, l = this.childNodes.length;
           for ( i = 0; i < l; i++ ) {
               if ( this.childNodes[ i ].nodeType == 1 ) {
                    arr.push( this.childNodes[ i ] );
               }
           }
      return arr;
      });

      HTMLElement.prototype.__defineGetter__("firstChild", function() {
            var node = this.childNodes[ 0 ];
            while (node.nodeType != 1) node = node.nextSibling;
                 return node;
            });

     HTMLElement.prototype.__defineGetter__("lastChild", function() {
     var node = this.childNodes[ this.childNodes.length - 1 ];
     while (node.nodeType != 1) node = node.previousSibling;
           return node;
      });
}


// ================================================================================
// Fonction efface
// --------------------------------------------------------------------------------
// La fonction efface
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function efface()
{
  if (previous != 0)
  {
    var chidrenArray = previous.children;
    var end = chidrenArray.length;
    var i = 0;
    while (i < end)
    {
      if(RGBToHex(chidrenArray[i].style.backgroundColor) == colorOver)
	      chidrenArray[i].style.backgroundColor = colorDefault;
      i++;
    }
    previous = 0;
  }
}

// ================================================================================
// Fonction effaceNew
// --------------------------------------------------------------------------------
// La fonction effaceNew
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function effaceNew()
{
  if (previousclick != 0)
  {
    var chidrenArray = previousclick.children;
    var end = chidrenArray.length;
    var i = 0;
    while (i < end)
    {// on garde les elements verses surlignes
    	if(RGBToHex(chidrenArray[i].style.backgroundColor) != colorVerse)
    		chidrenArray[i].style.backgroundColor = colorDefault;
		i++;
    }
    previousclick = 0;
  }
}

// ================================================================================
// Fonction selectChildren
// --------------------------------------------------------------------------------
// La fonction selectChildren
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function selectChildren(obj)
{
	if (obj != previous )
	    efface();
	
	var chidrenArray = obj.children;
	var end = chidrenArray.length;
	var i = 0;
	while (i < end)
	{
	    if(RGBToHex(chidrenArray[i].style.backgroundColor) != colorSelect && RGBToHex(chidrenArray[i].style.backgroundColor) != colorVerse)
		    chidrenArray[i].style.backgroundColor = colorOver;
	    i++;
	}
	previous = obj;
}


// ================================================================================
// Fonction selectChildrenOnClick
// --------------------------------------------------------------------------------
// La fonction selectChildrenOnClick
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function selectChildrenOnClick(obj)
{
	if (obj != previousclick)
	    effaceNew();
	var chidrenArray = obj.children;
	var end = chidrenArray.length;
	var i = 0;
	while (i < end)
	{
		if(RGBToHex(chidrenArray[i].style.backgroundColor) != colorVerse)
			chidrenArray[i].style.backgroundColor = colorSelect;
	    i++;
	}
	previousclick = obj;
}

function selectChildrenOnDblClick(obj)
{
	if (obj != previousclick) 
	    effaceNew();

	var chidrenArray = obj.children;
	var end = chidrenArray.length;
	var i = 0;
	while (i < end)
	{
	    chidrenArray[i].style.backgroundColor = colorVerse;
	    i++;
	}
	previousclick = obj;
}
// ================================================================================
// Fonction addRefPr
// --------------------------------------------------------------------------------
// La fonction addRefPr
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function addRefPr(objet,ref,codesi,pmontcoef,prremps,obsnfp)
{
	var eltversement= ref+codesi+pmontcoef+prremps+obsnfp;
	selectChildrenOnClick(objet);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = eltversement;
}

function suppRefPr(objet,ref,codesi,pmontcoef,prremps,obsnfp)
{
	effaceNew();
	var eltversement= ref+codesi+pmontcoef+prremps+obsnfp;
	var obj = window.document.getElementById("addref");
	obj.innerHTML = eltversement;
}
// ================================================================================
// Fonction verseRefPr
// --------------------------------------------------------------------------------
// La fonction verseRefPr
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================

function verseRefPr(marque,objet,ref,codesi,pmontcoef,prremps,obsnfp) {
	selectChildrenOnDblClick(objet);
	if (prremps!="")
	{
		openChoixPr(ref.substring(0, ref.length-1),prremps,codesi.substring(0, codesi.length-1),marque);
	}
	else
	{
		ref = ref.substring(0, ref.length-1);
		codesi = codesi.substring(0, codesi.length-1);
		quantite = "1";
		versePr(ref,codesi,quantite);
	}
}

function verseRefPrNew(marque,objet,ref,codesi,pmontcoef,prremps,obsnfp) {
	selectChildrenOnDblClick(objet);
	if (prremps!="") {
		openChoixPr(ref,prremps,codesi,marque);
	} else {
		quantite = "1";
		versePr(ref,codesi,quantite);
	}
	// ajout de la ref si elle n'existe pas dans la liste de PR deja verses
	var isRefExistInListePRVerses = false;
	for(var i = 0; i<listePRVerses.length;i++) {
		if(listePRVerses[i] == ref){
			isRefExistInListePRVerses = true;
		}
	}
	if(!isRefExistInListePRVerses) {
		listePRVerses[listePRVerses.length]=ref;
	}
}

function verseRefPrPneu(marque,objet,ref,codesi,pmontcoef,prremps,obsnfp)
{
	if (prremps!="")
	{
		openChoixPr(ref.substring(0, ref.length-1),prremps,codesi.substring(0, codesi.length-1),marque);
	}
	else
	{
		//ref = ref.substring(0, ref.length-1);
		codesi = codesi.substring(0, codesi.length-1);
		quantite = "1";
		versePrPneu(ref,codesi,quantite);
	}
}

function versePr(ref,codesi,quantite)
{
	var baseRef = window.location.href.substring(0,window.location.href.lastIndexOf('/'));
	var uriAction = "VersePanier.do?typeElement=PR&code=" + ref + "&libelle=" + codesi + "&quantite=" + quantite;
	var fenetreParent = window.opener;
	if (fenetreParent) {
    	var miniPanier = fenetreParent.document.getElementById("contenuPanier");
    	miniPanier.src=uriAction;
    }
}
function versePrPneu(ref,codesi,quantite)
{
	var baseRef = window.location.href.substring(0,window.location.href.lastIndexOf('/'));
	var uriAction = "VersePanier.do?typeElement=PR&code=" + ref + "&libelle=" + codesi + "&quantite=" + quantite;
    var miniPanier = document.getElementById("contenuPanier");
    miniPanier.src=uriAction;

}

// ================================================================================
// Fonction addRefMo
// --------------------------------------------------------------------------------
// La fonction addRefMo
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function addRefMo(objet,codemopere,codeorg,codenat,codesit,liborg,libnat,libsit,codemod, tauxtmpstot, arobase)
{
	var eltversement= "("+ codemopere + codeorg + codenat + codesit + liborg + libnat + libsit + codemod + tauxtmpstot +")" + arobase;
	selectChildrenOnClick(objet);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = eltversement;
}

// ================================================================================
// Fonction verseRefMo
// --------------------------------------------------------------------------------
// La fonction verseRefMo
// --------------------------------------------------------------------------------
// Retour:
//
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
function verseRefMo(code, parent, taux, temps, codeModel, codeorg, codenat)
{
	var baseRef = window.location.href.substring(0,window.location.href.lastIndexOf('/'));
	var uriAction = "VersePanier.do?typeElement=MO&code=" + code + "&taux=" + taux + "&temps=" + temps + "&parent=" + parent + "&codeorg=" + codeorg + "&codenat=" + codenat;
	if(codeModel && codeModel != '')
	{
		uriAction = uriAction + "&codeModel=" + codeModel;
	}
	var fenetreParent = window.opener;
	if (fenetreParent) {
    	var miniPanier = fenetreParent.document.getElementById("contenuPanier");
    	miniPanier.src=uriAction;
    }
}

// ================================================================================
// Fonction GetBdtMoString
// --------------------------------------------------------------------------------
// La fonction GetBdtMoString cre la chaine de versement d'une main d'oeuvre
// d'un barmes des temps
// --------------------------------------------------------------------------------
// Retour:
//		String	Chaine de versement MO
// --------------------------------------------------------------------------------
// Parametres:
//
// ================================================================================
//
function GetBdtMoString(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var type = o.getAttribute('type');
	var parent = o.getAttribute('parent');
	var codemo = o.getAttribute('codemo');
	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');
	var codesit = o.getAttribute('codesit');
	var liborg = o.getAttribute('liborg');
	var libnat = o.getAttribute('libnat');
	var libsit = o.getAttribute('libsit');
	var codemod = o.getAttribute('codemod');
	var temps = o.getAttribute('temps');

	var verse='';
	verse += type;
	verse += ';';
	verse += parent;
	verse += ';';
	verse += codemo;
	verse += ';';
	verse += codeorg;
	verse += ';';
	verse += codenat;
	verse += ';';
	verse += codesit;
	verse += ';';
	verse += liborg;
	verse += ';';
	verse += libnat;
	verse += ';';
	verse += libsit;
	verse += ';';
	verse += ';';
	verse += codemod;
	verse += ';';
	verse += temps;
	return verse;
}

// ================================================================================
// Fonction SelectBdtMo
// --------------------------------------------------------------------------------
// La fonction SelectBdtMo selectionne une main d'oeuvre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		objet	La MO  slectionner
// ================================================================================
function SelectBdtMo(o)
{
	selectChildrenOnClick(o);
	var obj = window.document.getElementById("addref");
	obj.innerHTML = GetBdtMoString(o);
}

// ================================================================================
// Fonction VerseBdtMo
// --------------------------------------------------------------------------------
// La fonction VerseBdtMo Verse une main d'oeuvre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		objet	la MO  verser
// ================================================================================
/*function VerseBdtMo(o)
{
	selectChildrenOnClick(o);
	var eltversement= GetBdtMoString(o);
	window.location.href="Event:"+eltversement;
}
*/
function VerseBdtMo(o)
{
	// compatibilite FireFox => utilisation de GetAttribute
	var codemo = o.getAttribute('codemo');
	var parent = o.getAttribute('parent');
	var mettech = o.getAttribute('mettech');
	var temps = o.getAttribute('temps');
	var taux = o.getAttribute('taux');
	var codemod = o.getAttribute('codemod');

	var codeorg = o.getAttribute('codeorg');
	var codenat = o.getAttribute('codenat');

	if(mettech)
	{
		//AP
		verseRefMo(codemo, parent, mettech, temps, codemod, codeorg, codenat);
	}
	else
	{
		//AC
		verseRefMo(codemo, parent, taux, temps, codemod, codeorg, codenat);
	}
}


// ================================================================================
// Fonction OpenListeComplexe
// --------------------------------------------------------------------------------
// La fonction OpenListeComplexe affiche la liste complexe dans une nouvelle
// fentre selon la marque qui est passe en paramtre
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		Liste
//		Marque
// ================================================================================
function OpenListeComplexe(Liste,Marque){
	//var AdrLstCpl="http://fdz.preprod.inetpsa.com/"+Marque+"/listecomplex/le-"+Liste+".html";
	//var TitLstCpl="LE-"+Liste;
	//var OptLstCpl="toolbar=yes,location=no,scrollbars=yes,resizable=yes,width=900,height=620";
	if (Liste!=""){
//		var LstCpl=window.open(Marque+"/listecomplex/LE"+Liste+".html","le","toolbar=yes,location=no,scrollbars=yes,resizable=yes,width=900,height=620,left=0,top=0");
		var LstCpl=window.open("afficheLE.do?LE=/listecomplex/LE"+Liste,"le"+Marque,"toolbar=yes,location=no,scrollbars=yes,resizable=yes,width=900,height=620,left=0,top=0");
		LstCpl.focus();
	}else{
		alert("leNonDispo"+leNonDispo);
	}
}

// ================================================================================
// Fonction openChoixPr
// --------------------------------------------------------------------------------
// La fonction openChoixPr s'affiche lorsqu'il y a des pices de remplacements
// --------------------------------------------------------------------------------
// Retour:
//		VOID
// --------------------------------------------------------------------------------
// Parametres:
//		refPr
//		refPrRemps
//		libPr
// ================================================================================
function openChoixPr(refPr,refPrRemps,libPr,marque){
	wleft=screen.width/2-150;
	wtop=screen.height/2-50;
	var winChoixPr=window.open("choixPr.do?refPr="+refPr+"&libPr="+libPr+"&refPrRemp="+refPrRemps+"&libPrRemp=libb","winChoixPr"+marque,"height=250,width=400,left="+wleft+",top="+wtop+",toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=yes");
	winChoixPr.focus();
}

// ================================================================================
// Events window.onload et window.onresize
// --------------------------------------------------------------------------------
// Au chargement ou au redimensionnement de la fentre, on recalcule la tailles
// des sections TITRE/APPL/CORPS du document.
// ================================================================================
window.onload = function() {
        resizeSections();
}
window.onresize = function() {
        resizeSections();
}

// ================================================================================
// Fonction getWindowHeight
// --------------------------------------------------------------------------------
// La fonction getWindowHeight calcul la hauteur de la fentre du WebBrowser.
// --------------------------------------------------------------------------------
// Retour:
//              Integer         Hauteur en pixels de la fentre
// --------------------------------------------------------------------------------
// Parametres:
//              Aucun
// ================================================================================
function getWindowHeight() {
        var windowHeight = 0;
        if (typeof(window.innerHeight) == 'number') {
                windowHeight = window.innerHeight;
        }
        else {
                if (document.documentElement && document.documentElement.clientHeight) {
                        windowHeight = document.documentElement.clientHeight;
                }
                else {
                        if (document.body && document.body.clientHeight) {
                                windowHeight = document.body.clientHeight;
                        }
                }
        }
        return windowHeight;
}

// ================================================================================
// Fonction resizeSections
// --------------------------------------------------------------------------------
// La fonction resizeSections redimensionne les zones TITRE, APPLMACRO et CONTENT
// pour que la zone APPLMACRO utilise au maximum les 2/3 de l'cran.
// --------------------------------------------------------------------------------
// Retour:
//              VOID
// --------------------------------------------------------------------------------
// Parametres:
//              Aucun
// ================================================================================
function resizeSections()
{
        // On rcupre les hauteurs relles des sections
        // du document
        var windowHeight = getWindowHeight() - 10;
        var corps = document.getElementById('content');

        // Titre
        var title = document.getElementById('title');
        var titleHeight;
        if (title) {
          titleHeight = title.offsetHeight;
        }
        else{
          titleHeight = 0;
        }

        // Applicabilite
        var appl = document.getElementById('appl');
        var applHeight;
        if (appl) {
          applHeight = appl.offsetHeight;
        }
        else{
          applHeight = 0;
        }

        // Bandeau d'alerte
        var bdwarn = document.getElementById('bdwarn');
        var bdwarnHeight;
        if (bdwarn) {
           bdwarnHeight=bdwarn.offsetHeight;
        }
        else {
          bdwarnHeight = 0;
        }

        // Corps
        var corps = document.getElementById('content');

        // On vrifie que la hauteur de l'applicabilit ne dpasse par
        // le 2/3 de la hauteur disponible.
        if (appl) // On vrifie que la section APPL est dfinie
        {
                var maxApplHeight = (windowHeight - titleHeight - bdwarnHeight) * 2/3;
                if (applHeight > maxApplHeight)
                {
                        // La hauteur de la section APPL est suprieure au 2/3
                        // On la redimensionne au 2/3 de la hauteur du disponible
                        applHeight = maxApplHeight;
                        appl.style.height = applHeight;
                }
        }

        // On calcul la nouvelle hauteur du corps du document
        // en fonction de la hauteur du titre et de l'applicabilit
        var corpsHeight;
        if (appl)
        {
           corpsHeight = windowHeight - titleHeight - applHeight - bdwarnHeight;

        }
        else
        {
           corpsHeight = windowHeight - titleHeight - bdwarnHeight;
        }
        // On redimensionne le corps du document
        // VLA => Pas la peine => calcule automatiquement
        // Si si ! sinon l'agrandissement de l'image n'est plus centre correctement
        if (corps) {
          corps.style.height = corpsHeight ;
        }
}

function showImage() {
        // Largeur maximale disponible pour l'affichage de l'image
	var imgMaxWidth = 450;

	// Affichage de l'image
	var divImg = document.getElementById('imgDivImage');
	divImg.innerHTML = imgHtml;
	divImg.style.display = 'inline';

	// Affichage du bandeau de zoom
	var divZoom = document.getElementById('imgDivZoom');
	divZoom.style.display = 'inline';

//	// Couleur de fond du bandeau
//	var trZoom = document.getElementById('bandeauZoom');
//        trZoom.bgColor = '#D3D4DA';

	// Escamotage Texte 'Figure xxxxxxxx'
        var txtFigure = document.getElementById('imgDivLink');
        if (txtFigure) {
	     txtFigure.style.display='none';
        }
	// Escamotage Bandeau d'alerte bas debit
        var bandeauBasDebit = document.getElementById('bdwarn');
        if (bandeauBasDebit) {
	     bandeauBasDebit.style.display='none';
        }

	// Verification de la taille max de l'image
	var idimg = document.getElementById('idImage');
	if (idimg) {
            // Si la taille de l'image est inconnue (pas encore chargee) ou depasse la largeur max, on utilise la largeur max
            var imgWidth = idimg.width;
	    if ( (imgWidth > imgMaxWidth)
              || (imgWidth == 0)
              || (imgWidth == 24) ) {
              idimg.width = imgMaxWidth;
            }
	}

	resizeSections();
}

function printWindow() {
	showImage();
	window.print();
}

// ZOOM type = { -1 (diminuer) , 0 (standard) , 1 (augmenter) }
var tailleOriginal = false;

function zoom(type) {
  var handle = window.document.getElementById("idImage");

  if (tailleOriginal == false) {
	handle.width=picw;
	handle.height=pich;
	tailleOriginal=true
  }

  if (type=='1') {
    zoomsize*=zoomstep;
  }else if(type=='-1') {
    if ((handle.width>zoomstep) && (handle.height>zoomstep)) {
	  zoomsize/=zoomstep;
    }
  } else {
	zoomsize=1;
  }

  handle.width =picw*zoomsize;
  handle.height=pich*zoomsize;
}

function updatecoords(allValeur){
	var newcoords='';
	for(i = 0; i < (allValeur.length); i++) {
		var newval = (allValeur[i]*zoomsize)
		//alert ("allValeur["+i+"] : "+allValeur[i]+"\nzoomsize : "+zoomsize+ "\nnewval : "+newval);
		newcoords+=newval+",";
	}//alert("coords: "+newcoords.substring(0,newcoords.length-1));
	return newcoords.substring(0,newcoords.length-1);
}

// Rollover des boutons de zoom
function rollimg(idbtn) {
        var btn = window.document.getElementById(idbtn);
        var btnimg = btn.src;
        if (btnimg.indexOf('_on.gif') < 0) {
                pos=btnimg.lastIndexOf(".gif");
                leftStringPath=btnimg.substring(0,pos);
                rigthStringPath=btnimg.substring(pos,btnimg.length);
                newRigthStringPath=rigthStringPath.replace(".gif","_on.gif");
                flagOn=true;
        }
        else{
                pos=btnimg.lastIndexOf("_on.gif");
                leftStringPath=btnimg.substring(0,pos);
                rigthStringPath=btnimg.substring(pos,btnimg.length);
                newRigthStringPath=rigthStringPath.replace("_on.gif",".gif");
                flagOn=false;
        }
        btn.src=leftStringPath+newRigthStringPath;
        return flagOn;
}
